summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'net-misc/ipx-utils/files/ipx.init')
-rw-r--r--net-misc/ipx-utils/files/ipx.init44
1 files changed, 44 insertions, 0 deletions
diff --git a/net-misc/ipx-utils/files/ipx.init b/net-misc/ipx-utils/files/ipx.init
new file mode 100644
index 000000000000..3af5e8e02d31
--- /dev/null
+++ b/net-misc/ipx-utils/files/ipx.init
@@ -0,0 +1,44 @@
+#!/sbin/runscript
+# Copyright 1999-2002 Gentoo Technologies, Inc.
+# Distributed under the terms of the GNU General Public License, v2 or later
+# $Header: /var/cvsroot/gentoo-x86/net-misc/ipx-utils/files/ipx.init,v 1.1 2002/07/22 00:24:51 azarah Exp $
+
+#NB: Config is in /etc/conf.d/ipx
+
+
+depend() {
+ use net
+}
+
+start() {
+ local retval=0
+
+ ebegin "Bringing IPX up"
+ if [ ${IPX_INTERNAL_NET} = "yes" ]
+ then
+ /sbin/ipx_internal_net add ${IPX_NETNUM} ${IPX_NODENUM}
+ retval=$?
+ else
+ /sbin/ipx_interface add -p ${IPX_DEVICE} \
+ ${IPX_FRAME} ${IPX_NETNUM}
+ retval=$?
+ fi
+
+ ipx_configure \
+ --auto_primary=${IPX_AUTO_PRIMARY} \
+ --auto_interface=${IPX_AUTO_INTERFACE}
+ retval=$(( $retval + $? ))
+ eend ${retval} "Failed to bring IPX up"
+}
+
+stop() {
+ local retval=0
+
+ ebegin "Bringing IPX down"
+ /sbin/ipx_configure --auto_primary=off --auto_interface=off
+ retval=$?
+ /sbin/ipx_interface delall
+ retval=$(( $retval + $? ))
+ eend ${retval} "Failed to down IPX"
+}
+